Update flow task
Update flow task. See the OpenAPI-defined parameters, request body, and responses below.
PUT
/FlowTask/{id}Update flow task. See the OpenAPI-defined parameters, request body, and responses below.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
Content type: application/json · Schema: FlowTaskDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
flowId | integer · int32 | No | — | — |
currentFlowStageId | integer · int32 | No | — | — |
title | string | No | — | nullable |
description | string | No | — | nullable |
status | FlowTaskStatus | No | — | — |
priority | integer · int32 | No | — | — |
payload | string | No | — | nullable |
dueDate | string · date-time | No | — | nullable |
createdAt | string · date-time | No | — | nullable |
createdBy | integer · int32 | No | — | — |
completedAt | string · date-time | No | — | nullable |
canceledAt | string · date-time | No | — | nullable |
flowRecurringTaskId | integer · int32 | No | — | nullable |
recurringOccurrenceAtUtc | string · date-time | No | — | nullable |
scheduledOccurrenceAtUtc | string · date-time | No | — | nullable |
Example request
curl --request PUT \
--url 'https://api.zild.ai/FlowTask/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"flowId": 0,
"currentFlowStageId": 0,
"title": "string",
"description": "string",
"status": 0,
"priority": 0,
"payload": "string",
"dueDate": "2026-09-22T18:00:00Z",
"createdAt": "2026-09-22T18:00:00Z",
"createdBy": 0,
"completedAt": "2026-09-22T18:00:00Z",
"canceledAt": "2026-09-22T18:00:00Z",
"flowRecurringTaskId": 0,
"recurringOccurrenceAtUtc": "2026-09-22T18:00:00Z",
"scheduledOccurrenceAtUtc": "2026-09-22T18:00:00Z"
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | OK | No response body is defined. |
Data models
FlowTaskDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
flowId | integer · int32 | No | — | — |
currentFlowStageId | integer · int32 | No | — | — |
title | string | No | — | nullable |
description | string | No | — | nullable |
status | FlowTaskStatus | No | — | — |
priority | integer · int32 | No | — | — |
payload | string | No | — | nullable |
dueDate | string · date-time | No | — | nullable |
createdAt | string · date-time | No | — | nullable |
createdBy | integer · int32 | No | — | — |
completedAt | string · date-time | No | — | nullable |
canceledAt | string · date-time | No | — | nullable |
flowRecurringTaskId | integer · int32 | No | — | nullable |
recurringOccurrenceAtUtc | string · date-time | No | — | nullable |
scheduledOccurrenceAtUtc | string · date-time | No | — | nullable |
FlowTaskStatus
0 = Pending; 1 = InProgress; 2 = Completed; 3 = Canceled
integer